Subject: [Sigtran] RFC 3868 query regarding sequence number

From: Sujay Udupa <[email-masked]>
Date: Tue, 19 May 2009 18:10:32 +0530

Hi All,

I have a query regarding section 3.3.1 in RFC 3868
 
3.3.1.  Connection Oriented Data Transfer (CODT)
...
...
   |         Tag = 0x0107          |             Length            |
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
   |                        Sequence Number                        |
...
...
     Parameters
     Routing Context               Mandatory
     Sequence Number               Optional *1
...
...
   NOTE *1:   This parameter is not present in case of Expedited Data
              (ED).
 
   Implementation note: For the CODT to represent DT1, DT2 and ED
   messages, the following conditions MUST be met:
 
   DT1 is represented by a CODT when:
     Sequence Number parameter is present (contains "more" indicator).
 
   DT2 is represented by a CODT when:
     Sequence Number parameter is present (contains P(S), P(R) and more
     indicator)
 
   ED is represented by a CODT with:
     Sequence Number parameter is not present
 
Here Sequence number is mentioned as a optional parameter. Can one assume
that is a message is received without a sequence number, then the message is
Expedited? Can a DT1 message not have a sequence number?
 
Thanks,
Sujay

---

From: "Sergey Mikhailov" <[email-masked]>
Date: Thu, 21 May 2009 13:47:48 +0800

Sujay,

when a CODT does not have Sequence Number, then it represents ED.
DT1 may not be represented by a CODT without Sequence Number.

This is what is meant by this implementation note.

Regards,
Sergey Mikhailov.

  ----- Original Message ----- 
  From: Sujay Udupa 
  To: [email-masked] 
  Sent: Tuesday, May 19, 2009 8:40 PM
  Subject: [Sigtran] RFC 3868 query regarding sequence number

  Hi All,

I have a query regarding section 3.3.1 in RFC 3868 3.3.1.  Connection Oriented Data Transfer (CODT)......   |         Tag = 0x0107          |             Length            |   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+   |                        Sequence Number                        |......     Parameters     Routing Context               Mandatory     Sequence Number               Optional *1......   NOTE *1:   This parameter is not present in case of Expedited Data              (ED).    Implementation note: For the CODT to represent DT1, DT2 and ED   messages, the following conditions MUST be met:    DT1 is represented by a CODT when:     Sequence Number parameter is present (contains "more" indicator).    DT2 is represented by a CODT when:     Sequence Number parameter is present (contains P(S), P(R) and more     indicator)    ED is represented by a CODT with:     Sequence Number parameter is not present Here Sequence number is mentioned as a optional parameter. Can one assume that is a message is received without a sequence number, then the message is Expedited? Can a DT1 message not have a sequence number? Thanks,Sujay  

------------------------------------------------------------------------------

  _______________________________________________
  Sigtran mailing list
  [email-masked]
  https://www.ietf.org/mailman/listinfo/sigtran

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Thu, 21 May 2009 00:04:06 -0600

Sujay,

Sujay Udupa wrote:                            (Tue, 19 May 2009 18:10:32)
>  
> Here Sequence number is mentioned as a optional parameter.

We probably should have called it "Conditional".

> Can one assume that is a message is received without a sequence
> number, then the message is Expedited?

Yes.

> Can a DT1 message not have a sequence number?

No.

--brian

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/